LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | Public Attributes | List of all members
Table Service Referencepublished

used to specify a table in a database. More...

`import"Table.idl";`

Inheritance diagram for Table:

## Exported Interfaces
interface | XDataDescriptorFactory
| optional, could be used to copy a table. More...
interface | XColumnsSupplier
| access to the contained table columns. More...
interface | XIndexesSupplier
| optional, provides the access of the table indexes. More...
interface | XKeysSupplier
| optional, provides the access to the table keys. More...
interface | XRename
| optional, allows the renaming of tables. More...
interface | XAlterTable
| optional, allows the altering of columns. More...
interface | com::sun::star::beans::XPropertySet

## Public Attributes
string | Name
| is the name of the table. More...
string | CatalogName
| is the name of the table catalog. More...
string | SchemaName
| is the name of the table schema. More...
string | Description
| supplies a comment on the table. More...
string | Type
| indicates the type of the table like (TABLE, VIEW, SYSTEM TABLE). More...

## Additional Inherited Members
Public Member Functions inherited from XColumnsSupplier
com::sun::star::container::XNameAccess | getColumns ()
| returns the container of columns. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Protected Member Functions inherited from XDataDescriptorFactory
com::sun::star::beans::XPropertySet | createDataDescriptor ()
| returns a descriptor of a definition object. More...
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XColumnsSupplier
com::sun::star::container::XNameAccess | getColumns ()
| returns the container of columns. More...
Protected Member Functions inherited from XIndexesSupplier
com::sun::star::container::XNameAccess | getIndexes ()
| returns the container of indexes. More...
Protected Member Functions inherited from XKeysSupplier
com::sun::star::container::XIndexAccess | getKeys ()
| returns the container of keys. More...
Protected Member Functions inherited from XRename
void | rename ([in]string newName) raises (com::sun::star::sdbc::SQLException, com::sun::star::container::ElementExistException)
| is intended to alter the name of an object. More...
Protected Member Functions inherited from XAlterTable
void | alterColumnByName ([in]string colName, [in]com::sun::star::beans::XPropertySet descriptor) raises (com::sun::star::sdbc::SQLException, com::sun::star::container::NoSuchElementException)
| is intended to alter an existing column identified by its name. More...
void | alterColumnByIndex ([in]long index, [in]com::sun::star::beans::XPropertySet descriptor) raises (com::sun::star::sdbc::SQLException, com::sun::star::lang::IndexOutOfBoundsException)
| is intended to alter an existing column identified by its position. More...
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...

## Detailed Description

used to specify a table in a database.

A table is described by its name and one or more columns.

In addition, it may contain indexes to improve the performance in the retrieval of the table's data and keys, and to define semantic rules for the table.

Note: All properties and columns of a table could by modified before it is appended to a database. In that case, the service is in fact a descriptor. On existing tables, a user might alter columns, add or delete columns, indexes, and keys depending on the capabilities of the database and on the user's privileges.

See also
  com::sun::star::sdbc::XDatabaseMetaData
  com::sun::star::sdbcx::Privilege

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

## ◆ XAlterTable

interface XAlterTable
| optional

optional, allows the altering of columns.

## ◆ XColumnsSupplier

interface XColumnsSupplier

access to the contained table columns.

## ◆ XDataDescriptorFactory

interface XDataDescriptorFactory
| optional

optional, could be used to copy a table.

## ◆ XIndexesSupplier

interface XIndexesSupplier
| optional

optional, provides the access of the table indexes.

## ◆ XKeysSupplier

interface XKeysSupplier
| optional

optional, provides the access to the table keys.

## ◆ XRename

interface XRename
| optional

optional, allows the renaming of tables.

## Member Data Documentation

## ◆ CatalogName

string CatalogName
| property readonly

is the name of the table catalog.

## ◆ Description

string Description
| property readonly

supplies a comment on the table.

Could be empty, if not supported by the driver.

## ◆ Name

string Name
| property readonly

is the name of the table.

## ◆ SchemaName

string SchemaName
| property readonly

is the name of the table schema.

## ◆ Type

string Type
| optional property readonly

indicates the type of the table like (TABLE, VIEW, SYSTEM TABLE).

Could be empty, if not supported by the driver.

The documentation for this service was generated from the following file:

- com/sun/star/sdbcx/Table.idl